@ECHO OFF
CLS
IF %1\==\  GOTO ERROR
ECHO **************************************************
ECHO *          Paladin of the Ancient China          *
ECHO *                                                *
ECHO *            HardDisk Install Program            *
ECHO *                                                *
ECHO *                                                *
ECHO *                                                *
ECHO *                              Kingformation Co. *
ECHO *                                        80.10.5 *
ECHO **************************************************
ECHO       Press Any Key to Start Install .............
PAUSE
CLS
MD %1\K1
:D1
ECHO Please Insert Paladin of Ancient China System Disk
PAUSE
IF EXIST==PALADIN.001 GOTO Z1
CLS
ECHO ******************************************
ECHO * Disk Error ! Disk Error ! Disk Error ! *
ECHO ******************************************
GOTO D1
:Z1
COPY *.* %1\K1
:D2
CLS
ECHO Please Insert Paladin of Ancient China Data Disk-1
PAUSE
IF EXIST==PALADIN.002 GOTO Z2
CLS
ECHO ******************************************
ECHO * Disk Error ! Disk Error ! Disk Error ! *
ECHO ******************************************
GOTO D2
:Z2
COPY *.* %1\K1
:D3
CLS
ECHO Please Insert Paladin of Ancient China Data Disk-2
PAUSE
IF EXIST==PALADIN.003 GOTO Z3
CLS
ECHO ******************************************
ECHO * Disk Error ! Disk Error ! Disk Error ! *
ECHO ******************************************
GOTO D3
:Z3
COPY *.* %1\K1
:D4
CLS
ECHO Please Insert Paladin of Ancient China Data Disk-3
PAUSE
IF EXIST==PALADIN.004 GOTO Z4
CLS
ECHO ******************************************
ECHO * Disk Error ! Disk Error ! Disk Error ! *
ECHO ******************************************
GOTO D4
:Z4
COPY *.* %1\K1
CLS
ECHO *************************************
ECHO * Install Complete !                *
ECHO *************************************
ECHO INSTALL FINISH !
GOTO END
:ERROR
CLS
ECHO *******************************************
ECHO *                                         *
ECHO * ERROR ! ERROR ! PLEASE TYPE INSTALL X:  *
ECHO *                                         *
ECHO *******************************************
:END
